xml地图|网站地图|网站标签 [设为首页] [加入收藏]

澳门网上赌彩网址大全

0内核升级

来源:http://www.nb-machinery.com 作者:网上十大正规赌博平台 时间:2019-07-11 05:50

CentOS下本来python是2.4的,好像不支持requests模块.我就升级到python2.7,结果yum又不能用了.下面是完整的解决方案.

前言:

以前一直使用 Ubuntu

Python升级
 # yum install gcc gcc-c .x86_64 compat-gcc-34-c .x86_64 openssl-devel.x86_64 zlib*.x86_64
 # wget
 # tar -xvjf Python-2.7.tar.bz2
 # cd Python*
 # ./configure --prefix=/opt/python27
 # make
 # make install
 #vi ~/.bash_profile  

Linux内核版本介绍:

  • Virtaulbox ,最近测试了 VMware-Workstation-9,性能超过 Virtaulbox-4.2.x,下面是详细步骤:

这时候Python已经升级好了,但是默认的Python版本还是2.4.3  

自2.6.0版本发布后,Linux内核以A.B.C.D的方式命名,A和B的变化可以说无关紧要,C是内核的真是版本,每一个版本的变化都会带来新的特性。例如:内部API的变化等等。改动的数量常常上万,D是安全补丁和bug修复。

1 首先准备一个Ubuntu 系统

# mv /usr/bin/python /usr/bin/python_backup
 # ln -s /opt/python27/bin/python /usr/bin/
 # python -V
 Python 2.7
 这个时候yum又不能用了
 # vim /usr/bin/yum
 #!/usr/bin/python
 改成
 #!/usr/bin/python2.4

Stable代表稳定的内核更新。

  1. lsb_release -a
  2. No LSB modules are available.
  3. Distributor ID: Ubuntu
  4. Description: Ubuntu 12.04.2 LTS
  5. Release: 12.04
  6. Codename: precise
  7. uname -a
  8. Linux dongnan-T6Series 3.5.0-23-generic #35~precise1-Ubuntu SMP Fri Jan 25 17:13:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

这时候yum修复了,下面就是安装easy_install,pip和requests

Mainline当前的官方内核 由Linux Torvalds进行维护

2 获得VMware-Workstation-9 安装包
下载地址
选择for Linux

# curl -O
 # chmod 775 setuptools-0.6c11-py2.7.egg
 # sh setuptools-0.6c11-py2.7.egg
 # curl -O
 # tar xvfz pip-1.0.tar.gz
 # cd pip-1.0
 # python setup.py install
 # /opt/python27/bin/easy_install requests

在发布的内核版本中,一种Full Source版本为完全内核版本,比较大,一般是tar.gz或者.bz2文件。另一种Patch文件,即补丁文件。

  1. file VMware-Workstation-Full-9.0.1-894247.x86_64.bundle
  2. VMware-Workstation-Full-9.0.1-894247.x86_64.bundle: data

更多CentOS相关信息见CentOS 专题页面 http://www.linuxidc.com/topicnews.aspx?tid=14

安装准备:

 

图片 1

1.    内核下载地址: 目前官方最新稳定的内核版本为linux-3.8版本约90M。

3 安装 VMware-Workstation-9

2.    Linux系统进行内核升级或者定制内核时需要安装GCC编译工具,make编译器,ncurses-dev包,同时需要root权限。

  1. chmod x VMware-Workstation-Full-9.0.1-894247.x86_64.bundle #赋予执行权限
  2. ./VMware-Workstation-Full-9.0.1-894247.x86_64.bundle #需要root 权限
  3. Extracting VMware Installer...done.

本文由网上十大正规赌博平台发布于澳门网上赌彩网址大全,转载请注明出处:0内核升级

关键词:

上一篇:Linux下expr命令用法

下一篇:没有了